> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Settings



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/nextera/settings
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/nextera/settings:
    get:
      tags:
        - admin:nextera
      summary: Get Settings
      operationId: get_settings_api_v1_admin_nextera_settings_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_NexteraSettingsOut_'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_NexteraSettingsOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/NexteraSettingsOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[NexteraSettingsOut]
    NexteraSettingsOut:
      properties:
        enabled:
          type: boolean
          title: Enabled
        base_url:
          type: string
          title: Base Url
        has_api_key:
          type: boolean
          title: Has Api Key
        warehouse_ids:
          items:
            type: string
          type: array
          title: Warehouse Ids
        allowed_vat_percent:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Allowed Vat Percent
        import_default_active:
          type: boolean
          title: Import Default Active
        sync_price_enabled:
          type: boolean
          title: Sync Price Enabled
        sync_stock_enabled:
          type: boolean
          title: Sync Stock Enabled
        sync_interval_minutes:
          type: integer
          title: Sync Interval Minutes
        fiscal_type_default:
          type: string
          title: Fiscal Type Default
        fiscal_buyer_country:
          type: string
          title: Fiscal Buyer Country
        fiscal_auto_on_payment:
          type: boolean
          title: Fiscal Auto On Payment
        last_ping_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Ping At
        last_ping_ok:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Last Ping Ok
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - enabled
        - base_url
        - has_api_key
        - warehouse_ids
        - allowed_vat_percent
        - import_default_active
        - sync_price_enabled
        - sync_stock_enabled
        - sync_interval_minutes
        - fiscal_type_default
        - fiscal_buyer_country
        - fiscal_auto_on_payment
        - last_ping_at
        - last_ping_ok
        - updated_at
      title: NexteraSettingsOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````